Name:			perl-Net-Ping-External
Version:		0.13
Release:		1%{?dist}
Summary:		Cross-platform interface to ICMP "ping" utilities
License:		GPL+ or Artistic
Group:			Development/Libraries
URL:			http://search.cpan.org/dist/Net-Ping-External/
Source0:		http://www.cpan.org/modules/by-module/Net/Net-Ping-External-%{version}.tar.gz
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:		noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
Requires:		perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Net::Ping::External is a module which interfaces with the "ping" command on
many systems. It presently provides a single function, ping(), that takes in a
hostname and (optionally) a timeout and returns true if the host is alive, and
false otherwise. Unless you have the ability (and willingness) to run your
scripts as the superuser on your system, this module will probably provide
more accurate results than Net::Ping will.

Why?

ICMP ping is the most reliable way to tell whether a remote host is alive.
However, Net::Ping cannot use an ICMP ping unless you are running your script
with privileged (AKA "root") access.
The system's "ping" command uses ICMP and does not usually require privileged
access.
While it is relatively trivial to write a Perl script that parses the output
of the "ping" command on a given system, the aim of this module is to
encapsulate this functionality and provide a single interface for it that
works on many systems.

%prep
%setup -q -n Net-Ping-External-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README ToDo
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Jun 20 2012 asides@lbl.gov 0.13-1
- Specfile autogenerated by cpanspec 1.77.
